Documentation Index
Fetch the complete documentation index at: https://turnkey-0e7c1f5b-omkar-update-tx-auto-quickstart.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
ACTIVITY_TYPE_CREATE_SUB_ORGANIZATION_V7The parameters object containing the specific intent data for this activity.
Show details
Show details
Root users to create within this sub-organization
Show item details
Show item details
A list of API Key parameters. This field, if not needed, should be an empty array in your request body.
Show item details
Show item details
A list of Authenticator parameters. This field, if not needed, should be an empty array in your request body.
Show item details
Show item details
attestation field
Show details
Show details
A list of Oauth providers. This field, if not needed, should be an empty array in your request body.
Show item details
Show item details
Show activity details
Show activity details
curl --request POST \
--url https://api.turnkey.com/public/v1/submit/create_sub_organization \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header "X-Stamp: <string> (see Authorizations)" \
--data '{
"type": "ACTIVITY_TYPE_CREATE_SUB_ORGANIZATION_V7",
"timestampMs": "<string> (e.g. 1746736509954)",
"organizationId": "<string> (Your Organization ID)",
"parameters": {
"subOrganizationName": "<string>",
"rootUsers": [
{
"userName": "<string>",
"userEmail": "<string>",
"userPhoneNumber": "<string>",
"apiKeys": [
{
"apiKeyName": "<string>",
"publicKey": "<string>",
"curveType": "<API_KEY_CURVE_P256>",
"expirationSeconds": "<string>"
}
],
"authenticators": [
{
"authenticatorName": "<string>",
"challenge": "<string>",
"attestation": {
"credentialId": "<string>",
"clientDataJson": "<string>",
"attestationObject": "<string>",
"transports": [
"<AUTHENTICATOR_TRANSPORT_BLE>"
]
}
}
],
"oauthProviders": [
{
"providerName": "<string>",
"oidcToken": "<string>"
}
]
}
],
"rootQuorumThreshold": "<number>",
"wallet": {
"walletName": "<string>",
"accounts": [
{
"curve": "<CURVE_SECP256K1>",
"pathFormat": "<PATH_FORMAT_BIP32>",
"path": "<string>",
"addressFormat": "<ADDRESS_FORMAT_UNCOMPRESSED>"
}
],
"mnemonicLength": "<number>"
},
"disableEmailRecovery": "<boolean>",
"disableEmailAuth": "<boolean>",
"disableSmsAuth": "<boolean>",
"disableOtpEmailAuth": "<boolean>"
}
}'
{
"activity": {
"id": "<activity-id>",
"status": "ACTIVITY_STATUS_COMPLETED",
"type": "ACTIVITY_TYPE_CREATE_SUB_ORGANIZATION_V7",
"organizationId": "<organization-id>",
"timestampMs": "<timestamp> (e.g. 1746736509954)",
"result": {
"activity": {
"id": "<string>",
"organizationId": "<string>",
"status": "<string>",
"type": "<string>",
"intent": {
"createSubOrganizationIntentV7": {
"subOrganizationName": "<string>",
"rootUsers": [
{
"userName": "<string>",
"userEmail": "<string>",
"userPhoneNumber": "<string>",
"apiKeys": [
{
"apiKeyName": "<string>",
"publicKey": "<string>",
"curveType": "<API_KEY_CURVE_P256>",
"expirationSeconds": "<string>"
}
],
"authenticators": [
{
"authenticatorName": "<string>",
"challenge": "<string>",
"attestation": {
"credentialId": "<string>",
"clientDataJson": "<string>",
"attestationObject": "<string>",
"transports": [
"<AUTHENTICATOR_TRANSPORT_BLE>"
]
}
}
],
"oauthProviders": [
{
"providerName": "<string>",
"oidcToken": "<string>"
}
]
}
],
"rootQuorumThreshold": "<number>",
"wallet": {
"walletName": "<string>",
"accounts": [
{
"curve": "<CURVE_SECP256K1>",
"pathFormat": "<PATH_FORMAT_BIP32>",
"path": "<string>",
"addressFormat": "<ADDRESS_FORMAT_UNCOMPRESSED>"
}
],
"mnemonicLength": "<number>"
},
"disableEmailRecovery": "<boolean>",
"disableEmailAuth": "<boolean>",
"disableSmsAuth": "<boolean>",
"disableOtpEmailAuth": "<boolean>"
}
},
"result": {
"createSubOrganizationResultV7": {
"subOrganizationId": "<string>",
"wallet": {
"walletId": "<string>",
"addresses": [
"<string>"
]
},
"rootUserIds": [
"<string>"
]
}
},
"votes": "<array>",
"fingerprint": "<string>",
"canApprove": "<boolean>",
"canReject": "<boolean>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}
}